sources.h File Reference

Sources of synchronization and participants related clases. More...

`#include <string>`
`#include <ccrtp/rtcppkt.h>`
`#include <cstddef>`
Include dependency graph for sources.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | SDESItemsHolder
class | Participant
| A class of objects representing remote participants (RTP applications) in a multimedia session. More...
class | SyncSource
| Synchronization source in an RTP session. More...
class | RTPApplication
| An RTP application, holding identifying RTCP SDES item values. Represents local participants. More...
class | RTPApplication::ParticipantsIterator
| Iterator through the list of participants in this session. More...

## Functions

__EXPORT RTPApplication & | defaultApplication ()
| Get the RTPApplication object for the "default" application (the only one used by common applications -those that only implement one "RTP application"). More...

## Detailed Description

Sources of synchronization and participants related clases.